
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

$md-white: (
    50 : #ffffff,
    100 : #ffffff,
    200 : #ffffff,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #ffffff,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$md-in8spa: (
    50 : #e1e6ea,
    100 : #b3c0cb,
    200 : #8096a8,
    300 : #4d6c85,
    400 : #274d6b,
    500 : #012d51,
    600 : #01284a,
    700 : #012240,
    800 : #011c37,
    900 : #001127,
    A100 : #628eff,
    A200 : #2f69ff,
    A400 : #0046fb,
    A700 : #003fe1,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

//Main Theme

$main-primary: mat-palette($md-white);
$main-accent: mat-palette($md-in8spa);
$main-warn: mat-palette($mat-red);
$main-theme: mat-light-theme($main-primary, $main-accent, $main-warn);

@include angular-material-theme($main-theme);

//Fonts

@font-face {
    font-family: "Helvetica-Ultra";
    src: url("assets/Fonts/helvetica-25-ultra-light.otf");
}

@font-face {
    font-family: "Helvetica-Condensed";
    src: url("assets/Fonts/ps.ttf");
}

@font-face {
    font-family: "Roboto-Light";
    src: url("assets/Fonts/Roboto-Light_0.ttf");
}

@font-face {
    font-family: "Roboto-Regular";
    src: url("assets/Fonts/Roboto-Regular_0.ttf");
}


/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body {
    margin: 0;
    background-color: #29abe2;
}

.mat-snack-bar-container .flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-transform: uppercase;
    padding: 0;
  }

  .mat-snack-bar-container.danger {
    color: white;
    background-color:#b34045;
  }

  .mat-snack-bar-container.success {
    color: white;
    background-color:#2d884d;
  }

  .transparent .mat-dialog-container {
    box-shadow: none;
    background: rgba(0, 0, 0, 0.0);
  }
